## com.thingmagic
Class Gen2.StaticQ

    java.lang.Object
      com.thingmagic.Gen2.Q
          com.thingmagic.Gen2.StaticQ

Enclosing class:
  Gen2

    public static class Gen2.StaticQ

extends Gen2.Q

Static initial Q algorithm

Field Summary
`int` `initialQ` The initial Q value to use

Constructor Summary
`Gen2.StaticQ(int initialQ)` Create a static Q algorithim instance with a particular value.

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### initialQ

    public int initialQ

  The initial Q value to use

Constructor Detail

### Gen2.StaticQ

    public Gen2.StaticQ(int initialQ)

  Create a static Q algorithim instance with a particular value.

  Parameters:
    `initialQ` - the q value

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`